Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

getProduct

Method fetching details of a single product from SAP Commerce Cloud.

This method sends a GET request to the getProduct endpoint of the Alokai Middleware. In turn, it receives data from the getProduct endpoint exposed by the SAP OCC API Products Controller.

Signature

export declare function getProduct<Res extends Product = Product,
	Props extends ProductGetProps = ProductGetProps>(
	props: Props,
	options?: MethodOptions
): Promise<Res>;

Parameters

NameRequiredTypeDescription
propsRequiredPropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.
optionsOptionalMethodOptionsOptions that can be passed to additionally configure the request or customize the logic in a plugin.

Returns

Returns a representation of a Product.

Referenced Types

Examples

Fetching a product by its code (passed as the id parameter).

import { sdk } from '~/sdk';

const product = await sdk.commerce.getProduct({ id: '1992695' });

Using the method the way it will be possible to cache the response.

import { sdk } from '~/sdk';

const product = await sdk.commerce.getProduct({ id: '1992695', lang: 'en', currency: 'GBP' });

Fetching a product and selecting response fields.

import { sdk } from '~/sdk';

const product = await sdk.commerce.getProduct({ id: '1992695', fields: 'BASIC' });

On this page